
function onBegin()
    getLevel().SaveQuitDisabled = true
    makeUnskippable()
    disableRetry()

    if getFlag("SAJICO_Overtime_Pay_Start") then return end

    setFlag("SAJICO_NOEND", true)

    disableMovement()
    wait(0.5)
    say("SAJICO_Overtime_Pay_Start")
end

function onEnd()
    enableMovement()
    setFlag("SAJICO_Overtime_Pay_Start", true)
    getLevel().SaveQuitDisabled = true
	makeUnskippable()
	disableRetry()
end